ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceDeviceDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<E>
      - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
        - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<D>
          - - ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao<VoiceDevice,VoiceDeviceType>
            - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceDeviceDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VoiceDeviceDao
      extends DeviceDao<VoiceDevice,VoiceDeviceType>

  Даошка для работы с устройствами на уровне базы данных: добавление, изменение, удаление.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `AbstractEntityAttrDao.AddressItemModifiedEventListener`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getImplPS, insertEntityPS, updateEntityPS, updateEntityPS2`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, filterWeightComparator, userId`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDeviceDao(java.sql.Connection con, int moduleId)`
    `VoiceDeviceDao(java.sql.Connection con, int moduleId, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected VoiceDevice` | `getFromRSImpl(java.sql.ResultSet rs)`
    `protected Directory<VoiceDeviceType>` | `getTypeDir()`
    `protected java.util.List<java.lang.String>` | `getValues()`
    `java.util.List<VoiceDevice>` | `list()`
    `java.util.List<VoiceDevice>` | `listNas()`
    `java.util.List<VoiceDevice>` | `listSource()`
    `protected VoiceDevice` | `newDevice()`
    `protected VoiceDeviceType` | `newDeviceType(int id, java.lang.String title)`
    `protected int` | `setExtraParams(VoiceDevice device, java.sql.PreparedStatement ps, int idx)`
    `protected void` | `updateImpl(VoiceDevice b)`

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

      `deleteImpl, getFromRS, getTreeFromList, list, list, listByType, listByUptimeTime, move, node, node, root, root, update, updateUptime`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getFromRS, getImpl, linkEntity, list, list, listImpl, recycle, unlinkEntity`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `checkEntityAttribute, checkEntitySpecAttrDelete, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityValueForIds, getFromRS, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceDeviceDao

          public VoiceDeviceDao(java.sql.Connection con,
                                int moduleId)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### VoiceDeviceDao

          public VoiceDeviceDao(java.sql.Connection con,
                                int moduleId,
                                int userId)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### newDevice

          protected VoiceDevice newDevice()

      Specified by:
        `newDevice` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`

    - #### newDeviceType

          protected VoiceDeviceType newDeviceType(int id,
                                                  java.lang.String title)

      Specified by:
        `newDeviceType` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`

    - #### getTypeDir

          protected Directory<VoiceDeviceType> getTypeDir()
                                                   throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getTypeDir` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<VoiceDevice> list()
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRSImpl

          protected VoiceDevice getFromRSImpl(java.sql.ResultSet rs)
                                       throws java.sql.SQLException,
                                              ru.bitel.bgbilling.common.BGException

      Overrides:
        `getFromRSImpl` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getValues

          protected java.util.List<java.lang.String> getValues()

      Overrides:
        `getValues` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`

    - #### setExtraParams

          protected int setExtraParams(VoiceDevice device,
                                       java.sql.PreparedStatement ps,
                                       int idx)
                                throws java.sql.SQLException

      Overrides:
        `setExtraParams` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
      Throws:
        `java.sql.SQLException`

    - #### updateImpl

          protected void updateImpl(VoiceDevice b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Overrides:
        `updateImpl` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### listSource

          public java.util.List<VoiceDevice> listSource()
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listNas

          public java.util.List<VoiceDevice> listNas()
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`